#
# spec file for package rubygem-timers
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-timers
Version:        4.3.5
Release:        1.4
%define mod_name timers
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/socketry/timers
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Pure Ruby one-shot and periodic timers
License:        MIT
Group:          Development/Languages/Ruby

%description
Pure Ruby one-shot and periodic timers.

%prep

%build

%install
%gem_install \
  --doc-files="license.md readme.md" \
  -f

%gem_packages

%changelog
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.3.5
  no changelog found
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.3.4
  no changelog found
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 4.3.3
  no changelog found
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 4.3.2
  no changelog found
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 4.3.0
  no changelog found
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 4.2.0
  CHANGES.md removed upstream
* Sun Nov 27 2016 coolo@suse.com
- updated to version 4.1.2
  see installed CHANGES.md
* Tue Nov 24 2015 coolo@suse.com
- updated to version 4.1.1
  see installed CHANGES.md
  4.1.1 (2015-08-21)
  - -----------------
  * Remove `RubyProf` from Gemfile and a test, due to it providing no substantial benefit while increasing problems building bundles under Rubinius.
  4.1.0 (2015-08-16)
  - -----------------
  * Addition of `now_and_every` method; fires block immediately, then sets recurring timer.
  * Includes `now_and_after` method; does the same as above for one-shot timers: essentially a "two-shot" timer.
* Fri Oct 24 2014 tboerger@suse.com
- Updated to version 4.0.1
  - 4.0.1
  - Memory leak fixes
  - mathn fix for those crazy enough to use it
  - 4.0.0
  - Replace Timers::Timeout with Timers::Wait
  - Timers::Group#wait_interval now returns nil when no timers,
    a postive or negative interval which if positive is the amount
    of time required to wait and if negative, how far in the past
    the latest timer should have fired
  - Performance improvements
  - 3.0.1
  - Require 'set' automatically
  - 3.0.0
  - Refactor Timers class into Timers::Group
  - Add Timers::Timeout class for implementing timeouts
  - Fix timer fudging
  - Update to RSpec 3
* Fri Oct 10 2014 fcastelli@suse.com
- update to new packaging scheme and add gem2rpm.yml
* Sun Jan  5 2014 coolo@suse.com
- updated to version 2.0.0
  * Switch to Hitimes for high precision monotonic counters
  * Removed Timers#time. Replaced with Timers#current_offset which provides a
  monotonic time counter.
* Sun Jan 20 2013 coolo@suse.com
- updated to version 1.1.0
  * Timers#after_milliseconds and #after_ms for waiting in milliseconds
* Mon Dec 24 2012 coolo@suse.com
- updated to version 1.0.2
  * Handle overdue timers correctly
  * Explicitly require Forwardable from stdlib
* Mon Jul 30 2012 coolo@suse.com
- initial package
